<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\Item;

class VimeoLinkParser extends BaseLinkParser
{
    public const LINK_TYPE = 'x-im/vimeo';

    protected function getLinkData(Item $item):array
    {
        return [
            'embedId' => $this->createEmbedId($item),
        ];
    }

    private function createEmbedId($item): string
    {
        preg_match('/.com\/([^\/\?\#\&\n]*)/', $item->get('url', ''), $match);
       
        return $match[1] ?? '';
    }
}
