<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Objects;

use Infomaker\Everyware\NewsML\Interfaces\ItemWithImage;
use Infomaker\Everyware\NewsML\Interfaces\ItemWithLinks;
use Infomaker\Everyware\NewsML\Item;

/**
 * Class TeaserItem
 *
 * @property array links
 * @property string type
 * @property string headline
 * @property string text
 * @property string subject
 *
 * @package Infomaker\Everyware\NewsML\Objects
 */
class TeaserItem extends Item implements ItemWithImage,ItemWithLinks
{
    public function getImage(): ?ImageItem
    {
        foreach ($this->getLinks() as $link) {
            if ($link instanceof ImageItem) {
                return $link;
            }
        }
        return null;
    }

    public function hasImage(): bool
    {
        return $this->getImage() !== null;
    }

    public function getLinks(): array
    {
        return $this->links ?? [];
    }

    public function hasLinks(): bool
    {
        return ! empty($this->getLinks());
    }
}
