<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\TypeParser;
use SimpleXMLIterator;

/**
 * ImageParser
 * @package Infomaker\Everyware\NewsML\Parsers
 */
class ImageParser implements ItemParser, TypeParser
{

    public const OBJECT_TYPE = 'x-im/image';

    /**
     * @var LinkParser
     */
    protected $linkParser;

    public function __construct()
    {
        $this->linkParser = new LinkParser([
            ImageLinkParser::LINK_TYPE => new ImageLinkParser()
        ]);
    }

    public function parse(SimpleXMLIterator $element): array
    {
        return $this->linkParser->parseLinks($element);
    }

    public function typeToParse(): string
    {
        return static::OBJECT_TYPE;
    }
}
