<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\TypeParser;
use Infomaker\Everyware\NewsML\Parsers\MapEmbedParser;
use PhpSpec\ObjectBehavior;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;
use function Spec\newsML\loadNewsMLFile;

class MapEmbedParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(MapEmbedParser::class);
    }

    public function it_should_parse_an_object()
    {
        $xml = <<<XML
<object id="MTA1LDIwMiw3LDk0" type="x-im/mapembed">
    <data>
        <zoom>11</zoom>
        <geometry>POINT (16.35677910000004 56.6634447)</geometry>
    </data>
</object>
XML;

        $this->validateXML($xml, [
            'id' => 'MTA1LDIwMiw3LDk0',
            'type' => 'x-im/mapembed',
            'zoom' => 11,
            'geometry' => 'POINT (16.35677910000004 56.6634447)'
        ]);
    }

    public function it_should_return_its_type()
    {
        $this->typeToParse()->shouldReturn('x-im/mapembed');
    }
}
